org.apache.lucene.analysis.compound.hyphenation

## Class CharVector

- java.lang.Object
- - org.apache.lucene.analysis.compound.hyphenation.CharVector

All Implemented Interfaces:
  Cloneable

    public class CharVector
    extends Object
    implements Cloneable

This class implements a simple char vector with access to the underlying array. This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.

### Constructor Summary

Constructors
Constructor and Description
`CharVector()`
`CharVector(char[] a)`
`CharVector(char[] a, int capacity)`
`CharVector(int capacity)`

### Method Summary

Methods
`int` `alloc(int size)`
`int` `capacity()` returns current capacity of array
`void` `clear()` Reset Vector but don't resize or clear elements
`CharVector` `clone()`
`char` `get(int index)`
`char[]` `getArray()`
`int` `length()` return number of items in array
`void` `put(int index, char val)`
`void` `trimToSize()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharVector

    public CharVector()

#### CharVector

    public CharVector(int capacity)

#### CharVector

    public CharVector(char[] a)

#### CharVector

    public CharVector(char[] a,
              int capacity)

### Method Detail

#### clear

    public void clear()

Reset Vector but don't resize or clear elements

#### clone

    public CharVector clone()

Overrides:
  `clone` in class `Object`

#### getArray

    public char[] getArray()

#### length

    public int length()

return number of items in array

#### capacity

    public int capacity()

returns current capacity of array

#### put

    public void put(int index,
           char val)

#### get

    public char get(int index)

#### alloc

    public int alloc(int size)

#### trimToSize

    public void trimToSize()